File: changelog

package info (click to toggle)
m17n-lib 1.6.1-1
  • links: PTS
  • area: main
  • in suites: squeeze
  • size: 4,532 kB
  • ctags: 4,388
  • sloc: ansic: 46,837; sh: 11,312; makefile: 646; yacc: 288; xml: 148; sed: 16
file content (212 lines) | stat: -rw-r--r-- 7,613 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
m17n-lib (1.6.1-1) unstable; urgency=low

  * New upstream release 1.6.1.
  * Update Standards-Version to Debian Policy 3.8.4. (No changes)
  * debian/source/format: 3.0 (quilt).
  * debian/README.source: deleted.
  * debian/rules: remove all references to patch and dpatch.
  * debian/copyright: update dates.
  * debian/control:
      - Build-depends: remove dpatch.
      - Build-depends: libotf >= 0.9.11
      - Recommends: m17n-db >= 1.6.0
  * debian/patches/fix_loadable_modules_path.dpatch: removed, fixed upstream.
  * debian/patches/fix_soversion.patch: removed, fixed upstream.
  * debian/libm17n-0.install: module directory changed from /usr/lib/m17n-lib/
    to /usr/lib/m17n/1.0/ .
  * debian/libm17n-0.symbols: updated.
  * debian/libm17n-dev.install: remove modules.

 -- Harshula Jayasuriya <harshula@gmail.com>  Sat, 26 Jun 2010 02:21:26 +1000

m17n-lib (1.5.5-1) unstable; urgency=low

  * New upstream release 1.5.5.
  * Update Standards-Version to Debian Policy 3.8.3. (No changes)
  * debian/control:
      - build-depend on libgd2-noxpm-dev, not libgd2-xpm-dev. (Closes: #543985)
      - DM-Upload-Allowed: yes.
      - Specified versioned build tools for Build-Depends.
      - Add versioned Depends.
  * debian/copyright: specify the version of the license file.
  * debian/README.source: Created this file.
  * Add debian/libm17n-0.symbols. (Closes: #555437)

 -- Harshula Jayasuriya <harshula@gmail.com>  Sun, 10 Jan 2010 20:58:16 +1100

m17n-lib (1.5.4-1+b1) unstable; urgency=low

  * Binary-only non-maintainer upload for i386; no source changes.
  * Rebuild against libthai 0.1.11-3 to drop dependency on libdatrie.

 -- i386 Build Daemon <buildd_i386-puccini@buildd.debian.org>  Fri, 17 Apr 2009 09:40:39 +0000

m17n-lib (1.5.4-1) unstable; urgency=low

  * New upstream release 1.5.4.
  * Do not add the *.la files to the -dev package. (Closes: #510330)
  * Update Standards-Version to Debian Policy 3.8.1. (No changes)
  * debian/control:
      - inherit Section from source package.
      - the -dbg package moved to the debug section.
  * debian/copyright:
      - add the string "Copyright" as instructed by Lintian.
      - update the copyright dates.
  * debian/rules:
      - BUGFIX: add the required "\" to the multi-line configure call.
      - BUGFIX: remove space between "-Wl," and "--as-needed".
      - replace dh_clean -k with dh_prep.
      - add "-Wl,-z,defs".
      - dynamically discover the version and major number.

 -- Harshula Jayasuriya <harshula@gmail.com>  Thu, 09 Apr 2009 22:03:37 +1000

m17n-lib (1.5.2-1) unstable; urgency=low

  * New upstream release 1.5.2.
  * Update Standards-Version to Debian Policy 3.8.0. (No changes)
  * Fixed upstream, removed: debian/patches/40_makefile_link_with_libs.dpatch.

 -- Harshula Jayasuriya <harshula@gmail.com>  Tue, 22 Jul 2008 00:32:53 +1000

m17n-lib (1.5.1-1) unstable; urgency=low

  * New upstream release 1.5.1. (Closes: #434041)
  * debian/control: changed to Section: utils.
  * debian/{copyright,rules}: updated.
  * Updated to debhelper 7.
  * Enable patch fix_loadable_modules_path.

 -- Harshula Jayasuriya <harshula@gmail.com>  Mon, 23 Jun 2008 23:02:47 +1000

m17n-lib (1.3.4-2) unstable; urgency=high

  * libm17n-dev Depends on libxml2-dev and libthai-dev. (Closes: #473957)

 -- Harshula Jayasuriya <harshula@gmail.com>  Fri, 04 Apr 2008 23:15:32 +1100

m17n-lib (1.3.4-1) unstable; urgency=low

  * New upstream release 1.3.4. (Closes: #376077)
  * New Maintainer.
  * Update Standards-Version to Debian Policy 3.7.3. (No changes)
  * Update debian/{compat,control,copyright,rules}.
  * Add debian/{docs,watch}.
  * Remove debian/libm17n-0.dirs.
  * Disable patches fix_no_family, fix_loadable_modules_path.
  * Add patch debian/patches/40_makefile_link_with_libs.dpatch.

 -- Harshula Jayasuriya <harshula@gmail.com>  Mon, 10 Mar 2008 00:21:19 +1100

m17n-lib (1.3.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Hardlink dlopen to use .so.0-files - not too nice, but works for now, and
    reduces severity of bug #325528 to "only" important. Closes: #325528

 -- Andreas Barth <aba@not.so.argh.org>  Fri,  1 Dec 2006 14:15:15 +0000

m17n-lib (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Previous NMU acknowledged (Closes: #348806, #325528, #347002).
  * Changed to make use of dpatch.
  * Added a new package for debugging; libm17n-0-dbg.
  * Moved libmimx* to /usr/lib/m17n-lib subdirectory.

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Mon, 13 Feb 2006 23:03:40 +0900

m17n-lib (1.2.0-5.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Handle fonts with no "family"; patch from Brendan O'Dea.
    (Closes: #325528)
  * Replace xlibs-dev build-dependency with explicit build-dependencies on
    the required libraries. (Closes: #347002)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 19 Jan 2006 02:09:17 +0100

m17n-lib (1.2.0-5) unstable; urgency=high

  * debian/control: Added build-dependencies on libgd2-xpm-dev.  This
  change will not affect the ABI compatibility  (closes: #325520).
  * Adapted to debian policy 3.6.2.

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Tue, 30 Aug 2005 03:56:10 +0900

m17n-lib (1.2.0-4) unstable; urgency=high

  * Applied tha patch which fixes FTBFS on Hurd due to PATH_MAX.  
  Thank to Michael Banck <mbanck@debian.org> (closes: #314528).

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Sat, 25 Jun 2005 00:39:02 +0900

m17n-lib (1.2.0-3) unstable; urgency=low

  * debian/control: Added build-dependencies on libfontconfig1-dev.  This
  change will not affect the ABI compatibility.

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Mon, 13 Jun 2005 03:44:41 +0900

m17n-lib (1.2.0-2) unstable; urgency=low

  * debian/rules, debian/libm17n-dev.install: Fixed to install
  /usr/lib/pkgconfig/* (closes: #298409).

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Sun,  3 Apr 2005 07:23:50 +0900

m17n-lib (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Tue, 28 Dec 2004 21:22:48 +0900

m17n-lib (1.1.0+0.0.cvs20041208-1) unstable; urgency=low

  * CVS update(trunk)
  * Upstream fixed the problem with multiple M17N_FINI calling and now 
  gtk programs terminate correclty even with both scim-m17n and scim-uim.
  (closes: #283126)
  * debian/control: Add dependency on libxml2-dev (closes: #284405)

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Wed,  8 Dec 2004 20:51:55 +0900

m17n-lib (1.1.0-3) unstable; urgency=low

  * src/input.c: Applied the patch from Kenichi Handa <handa@m17n.org>
  (for detail, please see
  http://freedesktop.org/pipermail/scim/2004-October/001102.html)

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Sun, 29 Aug 2004 00:59:05 +0900

m17n-lib (1.1.0-2) unstable; urgency=low

  * debian/control: Add versioned dependency on libotf (closes: #268666)

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Sun, 29 Aug 2004 00:52:15 +0900

m17n-lib (1.1.0-1) unstable; urgency=low

  * New upstream release

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Thu, 26 Aug 2004 23:07:03 +0900

m17n-lib (1.0.2-3) unstable; urgency=low

  * debian/control: Add build dependency on xlibs-dev (closes: #250469).

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Sun, 23 May 2004 16:33:58 +0900

m17n-lib (1.0.2-2) unstable; urgency=low

  * debian/rules: defined DLOPEN_SHLIB_EXT explicitly to avoid
    loading libmimx-*.so with no version (closes: #250297).

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Sun, 23 May 2004 03:23:32 +0900

m17n-lib (1.0.2-1) unstable; urgency=low

  * Initial Release.  Close wnpp bug (closes: #244373).

 -- Hidetaka Iwai <tyuyu@debian.or.jp>  Mon, 19 Apr 2004 20:46:54 +0900